@import url("classic.css");

/* -- page layout ----------------------------------------------------------- */

html {
    /* CSS hack for macOS's scrollbar (see #1125) */
    background-color: #FFFFFF;
}

body {
    font-family: 'Segoe UI', 'Myriad Pro', 'Myriad', sans-serif;
    font-size: 100%;
    background-color: #ffffff;
    color: #000;
    margin: 0;
    padding: 0;
}

div.document {
    display: flex;
    background-color: #ffffff;
}

div.documentwrapper {
    float: left;
    width: 100%;
}

div.bodywrapper {
    margin: 0 0 0 230px;
    background-color: #ffffff;
}

div.body {
    background-color: #ffffff;
    color: #000000;
    padding: 0 20px 30px 20px;
}

div.footer {
    color: #ffffff;
    width: 100%;
    padding: 9px 0 9px 0;
    text-align: center;
    font-size: 75%;
}

div.footer a {
    color: #ffffff;
    text-decoration: underline;
}

div.related {
    background-color: #004595;
    line-height: 30px;
    color: #ffffff;
}

div.related a {
    color: #ffffff;
}

div.sphinxsidebar {
    background-color: #004595;
}

div.sphinxsidebar h3 {
    font-family: 'Segoe UI', 'Myriad Pro', 'Myriad', sans-serif;
    color: white;
    font-size: 1.4em;
    font-weight: normal;
    margin: 0;
    padding: 0;
}

div.sphinxsidebar h3 a {
    color: white;
}

div.sphinxsidebar h4 {
    font-family: 'Segoe UI', 'Myriad Pro', 'Myriad', sans-serif;
    color: white;
    font-size: 1.3em;
    font-weight: normal;
    margin: 5px 0 0 0;
    padding: 0;
}

div.sphinxsidebar p {
    color: white;
}

div.sphinxsidebar p.topless {
    margin: 5px 10px 10px 10px;
}

div.sphinxsidebar ul {
    margin: 10px;
    padding: 0;
    color: white;
}

div.sphinxsidebar a.reference {
    color: #ffffff;
    text-decoration: none;
}

div.sphinxsidebar a.reference:hover {
    text-decoration: underline;
}

div.sphinxsidebar li {
    line-height: 150%;
}

div.sphinxsidebar input {
    border: 1px solid deepskyblue;
    font-family: sans-serif;
    font-size: 1em;
}



/* -- hyperlink styles ------------------------------------------------------ */

a {
    color: #004595;
    text-decoration: none;
}

a:visited {
    color: #004595;
    text-decoration: none;
}

a:hover {
    text-decoration: none;
    color: #ff0000;
}



/* -- body styles ----------------------------------------------------------- */
* {
  text-align: left;
}

div.logo {
    text-align: center;
}

div.subtitle {
    color: #ffffff;
    text-align: center;
    font-size: 1.2em;
    margin: 10px 0 20px 0;
}

div.body h1,
div.body h2,
div.body h3,
div.body h4,
div.body h5,
div.body h6 {
    color: #004595;
    background: none;
    border: none;
    font-family: 'Segoe UI', 'Myriad Pro', 'Myriad', sans-serif;
    font-weight: normal;
    margin: 20px 0 20px 0;
    padding: 0 0 10px 0;
}

div.body h1 {
    font-size: 2.5em;
    margin-top: 0;
    border-bottom: 1px solid #a7a7a7;
}

div.body h1 { margin-top: 20px; font-size: 200%; }
div.body h2 { font-size: 160%; }
div.body h3 { font-size: 140%; }
div.body h4 { font-size: 120%; }
div.body h5 { font-size: 110%; }
div.body h6 { font-size: 100%; }

div.body p, div.body dd, div.body li, div.body blockquote {
    text-align: justify;
    line-height: 130%;
}

div.admonition p.admonition-title + p {
    display: inline;
}

div.admonition p {
    margin-bottom: 5px;
}

div.admonition pre {
    margin-bottom: 5px;
}

div.admonition ul, div.admonition ol {
    margin-bottom: 5px;
}

div.note {
    background-color: #eee;
    border: 1px solid #ccc;
}

div.seealso {
    background-color: #ffc;
    border: 1px solid #ff6;
}

nav.contents,
aside.topic,
div.topic {
    background-color: #eee;
}

div.warning {
    background-color: #ffe4e4;
    border: 1px solid #f66;
}

p.admonition-title {
    display: inline;
}

p.admonition-title:after {
    content: ":";
}

pre {
    padding: 5px;
    background-color: unset;
    color: unset;
    line-height: 120%;
    border: 1px solid #a7a7a7;
    border-left: none;
    border-right: none;
}

code {
    padding: 0 1px 0 1px;
    font-size: 0.95em;
}

th, dl.field-list > dt {
    background-color: #cccccc;
}

.warning code {
    background: #efc2c2;
}

.note code {
    background: #ffff00;
}

.viewcode-back {
    font-family: sans-serif;
}

div.viewcode-block:target {
    border-top: 1px solid #a7a7a7;
    border-bottom: 1px solid #a7a7a7;
}

div.code-block-caption {
    color: #efefef;
    background-color: #1c4e63;
}

div.highlight {
    background-color: #cccccc;
}